com.microfocus.awm.model

## Class SimpleResourceIdentifier

- java.lang.Object
- - com.microfocus.awm.model.SimpleResourceIdentifier

- All Implemented Interfaces:
    IResourceIdentifier

      public class SimpleResourceIdentifier
      extends java.lang.Object
      implements IResourceIdentifier

  Simple resource identifier which concatenates key values with file separators.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleResourceIdentifier(IElement pElement)` Constructor for SimpleResourceIdentifier; sets the AWM element of the class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IElement` | `getElement()` Gets the linked element.
    `java.lang.String` | `getIDString()` Gets a string representation of the element ID.
    `java.util.List<IPropertyValue>` | `getKeyValues()` Gets the list of key values.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleResourceIdentifier

          public SimpleResourceIdentifier(IElement pElement)

      Constructor for SimpleResourceIdentifier; sets the AWM element of the class.
      Parameters:
        `pElement` - AWM element to which the resource identifier belongs

  - ### Method Detail

    - #### getIDString

          public java.lang.String getIDString()

      Description copied from interface: `IResourceIdentifier`
      Gets a string representation of the element ID.
      Specified by:
        `getIDString` in interface `IResourceIdentifier`
      Returns:
        the ID

    - #### getKeyValues

          public java.util.List<IPropertyValue> getKeyValues()

      Description copied from interface: `IResourceIdentifier`
      Gets the list of key values. The list contains one value for each key property of the ID definition.
      Specified by:
        `getKeyValues` in interface `IResourceIdentifier`
      Returns:
        the list of key values.

    - #### getElement

          public IElement getElement()

      Description copied from interface: `IResourceIdentifier`
      Gets the linked element.
      Specified by:
        `getElement` in interface `IResourceIdentifier`
      Returns:
        the linked element

Copyright © 2015 Micro Focus GmbH. All rights reserved.